// -*- c++ -*-

# ifndef PiecePlacementFeature_h
# define PiecePlacementFeature_h

# include <Game/EvaluationFeature.h>

namespace Alice
{
	 
  class PiecePlacementFeature
    : public EvaluationFeature
  {
  public:
    enum{
    MAX=64
      };
    enum{KING, 
	   QUEEN = KING + MAX,
	   ROOK = QUEEN + MAX,
	   BISHOP = ROOK + MAX,
	   KNIGHT = BISHOP+MAX,
	   PAWN = KNIGHT + MAX,
	   MAX_WEIGHT = PAWN + MAX
	   };
  
    PiecePlacementFeature();
    void computeGradient(Game* g);
    virtual Evaluation::Score score(Game* g);
  };
};

# endif // PiecePlacementFeature_h
