// -*- c++ -*-

//////////////////////////////////////////////////
// (c) MMV Sven Reichard
// 

# ifndef OpeningBookNodeTest_h
# define OpeningBookNodeTest_h
# include <cppunit/extensions/HelperMacros.h>
# include <OpeningBookNode.h>
class OpeningBookNodeTest
  : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( OpeningBookNodeTest );
  CPPUNIT_TEST( testConstructor );
  CPPUNIT_TEST( testPointers );
  CPPUNIT_TEST( testAddNode );
  CPPUNIT_TEST( testUpdate );
  CPPUNIT_TEST( testUpdateAll );
  CPPUNIT_TEST( testAlternativeValue );
  CPPUNIT_TEST( testSetAlternative );
  CPPUNIT_TEST_SUITE_END();
protected:
  void testConstructor();
  void testPointers();
  void testAddNode();
  void testUpdate();
  void testUpdateAll();
  void testAlternativeValue();
  void testSetAlternative();
};
# endif // OpeningBookNodeTest_h
